View Issue Details

IDProjectCategoryView StatusLast Update
0003505GNUnetcadet servicepublic2018-06-07 00:25
ReporteramatusAssigned ToBart Polot 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003505: Assertion failed at gnunet-service-cadet_connection.c:1862
DescriptionRunning version 34051 for a while on the network I see:
Jul 28 06:07:49-949028 cadet-chn-5704 WARNING MID 0 on channel KNAS:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 28 06:07:53-239179 cadet-5704 ERROR Assertion failed at gnunet-service-cadet_connection.c:1862.
Jul 28 06:07:53-239242 cadet-con-5704 ERROR CCC DEBUG CONNECTION JHK8NJEN
Jul 28 06:07:53-239271 cadet-con-5704 ERROR CCC path GN10 V8XX STRN KNAS P00P TZQE HYPR, own pos: 0
Jul 28 06:07:53-239288 cadet-con-5704 ERROR CCC state: CADET_CONNECTION_BROKEN, destroy: 0
Jul 28 06:07:53-239314 cadet-con-5704 ERROR CCC pending messages: 0
Jul 28 06:07:53-239335 cadet-con-5704 ERROR CCC FWD flow control:
Jul 28 06:07:53-239360 cadet-con-5704 ERROR CCC queue: 0/11
Jul 28 06:07:53-239382 cadet-con-5704 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 28 06:07:53-239405 cadet-con-5704 ERROR CCC last ACK sent: 0, recv: 0
Jul 28 06:07:53-239427 cadet-con-5704 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 28 06:07:53-239449 cadet-con-5704 ERROR CCC BCK flow control:
Jul 28 06:07:53-239469 cadet-con-5704 ERROR CCC queue: 0/11
Jul 28 06:07:53-239492 cadet-con-5704 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 28 06:07:53-239515 cadet-con-5704 ERROR CCC last ACK sent: 0, recv: 0
Jul 28 06:07:53-239538 cadet-con-5704 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 28 06:07:53-239561 cadet-con-5704 ERROR CCC DEBUG CONNECTION END
Jul 28 06:07:54-982026 cadet-chn-5704 WARNING MID 0 on channel P00P:19 gid:40000000 (80000002 / 0) not expected (window: 1 - 64). Dropping!
Jul 28 06:07:56-645128 cadet-chn-5704 WARNING MID 0 on channel KNAS:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 28 06:07:56-833959 cadet-5704 ERROR Assertion failed at gnunet-service-cadet_connection.c:1862.
Jul 28 06:07:56-834017 cadet-con-5704 ERROR CCC DEBUG CONNECTION WYTHZJHS
Jul 28 06:07:56-834040 cadet-con-5704 ERROR CCC path GN10 TRNS VYGR HYPR, own pos: 0
Jul 28 06:07:56-834057 cadet-con-5704 ERROR CCC state: CADET_CONNECTION_BROKEN, destroy: 0
Jul 28 06:07:56-834072 cadet-con-5704 ERROR CCC pending messages: 0
Jul 28 06:07:56-834092 cadet-con-5704 ERROR CCC FWD flow control:
Jul 28 06:07:56-834110 cadet-con-5704 ERROR CCC queue: 0/11
Jul 28 06:07:56-834125 cadet-con-5704 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 28 06:07:56-834143 cadet-con-5704 ERROR CCC last ACK sent: 0, recv: 0
Jul 28 06:07:56-834162 cadet-con-5704 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 28 06:07:56-834179 cadet-con-5704 ERROR CCC BCK flow control:
Jul 28 06:07:56-834195 cadet-con-5704 ERROR CCC queue: 0/11
Jul 28 06:07:56-834212 cadet-con-5704 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 28 06:07:56-834229 cadet-con-5704 ERROR CCC last ACK sent: 0, recv: 0
Jul 28 06:07:56-834247 cadet-con-5704 ERROR CCC POLL: task 0, msg (nil), msg_ack (nil))
Jul 28 06:07:56-834265 cadet-con-5704 ERROR CCC DEBUG CONNECTION END
Jul 28 06:08:05-172171 cadet-chn-5704 WARNING MID 0 on channel P00P:19 gid:40000000 (80000002 / 0) not expected (window: 1 - 64). Dropping!
Jul 28 06:08:07-499717 cadet-chn-5704 WARNING MID 1 on channel KNAS:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 28 06:08:07-627395 cadet-chn-5704 WARNING MID 1 on channel KNAS:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 28 06:08:14-670543 cadet-chn-5704 WARNING MID 0 on channel TRNS:19 gid:40000001 (80000005 / 0) not expected (window: 1 - 64). Dropping!
Jul 28 06:09:22-471983 cadet-chn-5704 WARNING MID 0 on channel 4YCN:19 gid:40000000 (0 / B0000000) not expected (window: 1 - 64). Dropping!
Jul 28 06:09:29-328400 cadet-chn-5704 WARNING MID 0 on channel 4YCN:19 gid:40000000 (0 / B0000000) not expected (window: 1 - 64). Dropping!
Jul 28 06:09:35-737376 cadet-chn-5704 WARNING MID 0 on channel 4YCN:19 gid:40000000 (0 / B0000000) not expected (window: 1 - 64). Dropping!
Jul 28 06:09:43-599437 cadet-chn-5704 WARNING MID 0 on channel 4YCN:19 gid:40000000 (0 / B0000000) not expected (window: 1 - 64). Dropping!
Jul 28 06:09:56-084323 cadet-chn-5704 WARNING MID 0 on channel 4YCN:19 gid:40000000 (0 / B0000000) not expected (window: 1 - 64). Dropping!
TagsNo tags attached.

Activities

Florian Dold

2014-08-07 14:23

developer   ~0008547

I'm not sure if that is related, but I also get
  Assertion failed at gnunet-service-cadet_connection.c:1485
when running the secretsharing profiler.

Bart Polot

2015-01-15 16:30

manager   ~0008778

Fixed in previous versions, along with out-of-order connection messages.

Issue History

Date Modified Username Field Change
2014-07-28 14:02 amatus New Issue
2014-07-28 14:02 amatus Status new => assigned
2014-07-28 14:02 amatus Assigned To => Bart Polot
2014-08-07 14:23 Florian Dold Note Added: 0008547
2014-11-07 18:51 Christian Grothoff Target Version => 0.11.0pre66
2015-01-15 16:30 Bart Polot Note Added: 0008778
2015-01-15 16:30 Bart Polot Status assigned => resolved
2015-01-15 16:30 Bart Polot Fixed in Version => SVN HEAD
2015-01-15 16:30 Bart Polot Resolution open => fixed
2015-01-16 11:05 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed